Bug 492650 - plymouth-populate-initrd directly writes to /dev/stderr which corrupts output
plymouth-populate-initrd directly writes to /dev/stderr which corrupts output
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: plymouth (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-27 17:00 EDT by Leo Bergolth
Modified: 2009-12-18 04:07 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 04:07:34 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Leo Bergolth 2009-03-27 17:00:18 EDT
Description of problem:
plymouth-populate-initrd directly writes error messages to /dev/stderr which corrupts the buffered output stream if stderr is redirected to a file.

This results in garbled output of its parent-process mkinitrd and further parent processes like rpm and yum.

Solution: plymouth-populate-initrd shouldn't write directly to /dev/stderr but use something like
echo "xxx" >&2

Steps to Reproduce:
1. remove the default plymouth plugin, so that plymouth-populate-initrd
   will print the following error:
  "The default plymouth plugin ... doesn't exist"
2. run mkinitrd and redirect its output with
   mkinitrd ... &> mkinitrd.txt
3. view the output e.g. with hexdump -c mkinitrd.txt
  
Actual results:
The first result will be 

Expected results:
The redirected output shouldn't be truncated and currupted with null characters.

Additional info:
A simplified test-case that does the same is:
-------------------- 8< --------------------
#!/bin/sh

echo "This text will be buffered
and will get corrupted by writing directly to stderr" 1>&2

echo "Leo" >/dev/stderr

echo "The End." 1>&2 <<EOF
-------------------- 8< --------------------

Save it and do:

chmod 755 buffertest.sh
./buffertest.sh 2> stderr.txt
hexdump -c stderr.txt
Comment 1 Bug Zapper 2009-11-18 06:37:24 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2009-12-18 04:07:34 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.